Back to the index
History of a Mediaplanet
You are about to enter an area
for which you need:


Netscape Navigator (version 2 is preferrable, but 3 is compatible too)
Shockwave for Director 5

The low bandwidth version works with MS Internet Explorer 3 (with shockwave) too.
Enter the high bandwidth version
Enter the low bandwidth version